## com.ibatis.jpetstore.persistence.iface
Interface AccountDao

All Known Implementing Classes:
  AccountSqlMapDao

public interface AccountDao

Method Summary
`Account` `getAccount(String username)`
`Account` `getAccount(String username, String password)`
`List` `getUsernameList()`
`void` `insertAccount(Account account)`
`void` `updateAccount(Account account)`

Method Detail

### getAccount

    public Account getAccount(String username)

### getUsernameList

    public List getUsernameList()

### getAccount

    public Account getAccount(String username,
                              String password)

### insertAccount

    public void insertAccount(Account account)

### updateAccount

    public void updateAccount(Account account)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.